diff options
author | Jim Meyering <jim@meyering.net> | 1998-10-03 16:45:10 +0000 |
---|---|---|
committer | Jim Meyering <jim@meyering.net> | 1998-10-03 16:45:10 +0000 |
commit | d21a17dbb49a993aa3587e17c1b71bdf3fe94b13 (patch) | |
tree | 015afafe5ba6a0ab9f1450dadb7d0006693abe25 | |
parent | cfd0d53368feb4ba7d22b002e07315fdd3cd6f09 (diff) | |
download | coreutils-d21a17dbb49a993aa3587e17c1b71bdf3fe94b13.tar.xz |
.
-rwxr-xr-x | tests/mv/i-1 | 41 |
1 files changed, 41 insertions, 0 deletions
diff --git a/tests/mv/i-1 b/tests/mv/i-1 new file mode 100755 index 000000000..bd623e3ec --- /dev/null +++ b/tests/mv/i-1 @@ -0,0 +1,41 @@ +#!/bin/sh + +: ${PERL=perl} +: ${srcdir=.} + +case "$PERL" in + *'missing perl') + echo 1>&2 "$0: configure didn't find a usable version of Perl, so can't run this test" + exit 77 + ;; +esac + +exec $PERL -w -I$srcdir/.. -MFetish -- - <<\EOF +require 5.003; +use strict; + +(my $program_name = $0) =~ s|.*/||; + +# Turn off localisation of executable's ouput. +@ENV{qw(LANGUAGE LANG LC_ALL)} = ('C') x 3; + +my $test_a = 'a'; + +my @Tests = + ( + # Make sure a `n' reply to `mv -i...' aborts the move operation. + [$test_a, '-i', + {IN => {src => "a\n"}}, {IN => {dst => "b\n"}}, '<', {IN => "n\n"}, + {ERR => "mv: overwrite `dst'? "}, + {POST => sub { -r 'src' or die "test $test_a failed\n"}}, + {EXIT => 1}, + ], + ); + +my $save_temps = $ENV{DEBUG}; +my $verbose = $ENV{VERBOSE}; + +my $prog = $ENV{PROG} || die "$0: \$PROG not specified in environment\n"; +my $fail = run_tests ($program_name, $prog, \@Tests, $save_temps, $verbose); +exit $fail; +EOF |